#!/usr/bin/ruby
# coding: utf-8

# SimpleCov test coverage reporting; enable this using the :coverage rake task
if ENV['COVERAGE']
	$stderr.puts "\n\n>>> Enabling coverage report.\n\n"
	require 'simplecov'
	SimpleCov.start do
		add_filter 'spec'
		add_group "Needing tests" do |file|
			file.covered_percent < 90
		end
	end
end

require 'loggability'
require 'loggability/spechelpers'
require 'pathname'

require 'rspec'
require 'mongrel2'
require 'mongrel2/testing'

require 'strelka'
require 'strelka/cms'

require 'fakefs/spec_helpers'


### RSpec helper functions.
module Strelka::CMS::SpecHelpers
end



### Mock with RSpec
RSpec.configure do |c|
	c.mock_with( :rspec ) do |config|
		config.syntax = :expect
	end

	c.include( Loggability::SpecHelpers )
	c.include( Mongrel2::SpecHelpers )
	c.include( Strelka::CMS::SpecHelpers )
end

# vim: set nosta noet ts=4 sw=4:

